Activity log for bug #1484112

Date Who What changed Old value New value Message
2015-08-12 13:20:10 Adam Collard bug added bug
2015-08-12 13:20:15 Adam Collard charm-helpers: assignee Adam Collard (adam-collard)
2015-08-12 13:20:18 Adam Collard charm-helpers: status New In Progress
2015-08-12 13:20:39 Adam Collard description contrib.amulet.utils. validate_services_by_name doesn't actually check that Upstart jobs are running, merely that the job is defined. The code assumes that "sudo status foo" will return non-zero when foo isn't running. It doesn't, instead Upstart returns 0 and tells you in a message that the services is "stop/waiting". Additionally there are no tests which cover the behaviour of any of the utils. contrib.amulet.utils.validate_services_by_name doesn't actually check that Upstart jobs are running, merely that the job is defined. The code assumes that "sudo status foo" will return non-zero when foo isn't running. It doesn't, instead Upstart returns 0 and tells you in a message that the services is "stop/waiting". Additionally there are no tests which cover the behaviour of any of the utils.
2015-08-12 13:33:54 Launchpad Janitor branch linked lp:~adam-collard/charm-helpers/fix-amulet-utils-validate-services-by-name
2015-08-12 13:59:18 Ryan Beisner bug added subscriber Ryan Beisner
2015-08-13 08:49:54 Adam Collard charm-helpers: status In Progress Fix Committed
2017-10-04 12:10:24 Edward Hope-Morley charm-helpers: status Fix Committed Fix Released